%bcond_with network

Name:           python-requests-futures
Version:        1.0.2
Release:        %mkrel 3
Summary:        Asynchronous Python HTTP Requests
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/ross/requests-futures
Source:         %{pypi_source requests_futures}
BuildArch:      noarch

%description
Small add-on for the Python requests http library. Makes use of Python 3.2’s
concurrent.futures or the back-port for prior versions of Python.

%package -n python3-requests-futures
Summary:        Asynchronous Python HTTP Requests
Group:          Development/Python

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-httpbin


%description -n python3-requests-futures
Small add-on for the Python requests http library. Makes use of Python 3.2’s
concurrent.futures or the back-port for prior versions of Python.


%prep
%autosetup -n requests_futures-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files requests_futures


%check
%if %{with network}
%pytest -v
%else
%pytest -v \
    tests/test_requests_futures.py::RequestsTestCase::test_adapter_kwargs \
    tests/test_requests_futures.py::RequestsTestCase::test_max_workers
%endif


%files -n python3-requests-futures -f %{pyproject_files}
%doc README.rst



%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.2-3.mga10
+ Revision: 2237653
- Mageia 10 Mass Rebuild

* Fri Feb 28 2025 daviddavid <daviddavid> 1.0.2-2.mga10
+ Revision: 2153687
- rebuild for python 3.13

* Tue Nov 19 2024 daviddavid <daviddavid> 1.0.2-1.mga10
+ Revision: 2117822
- new version: 1.0.2

* Thu Jul 04 2024 daviddavid <daviddavid> 1.0.1-1.mga10
+ Revision: 2079770
- initial package python-requests-futures

